AstraLex (BSL Edit) By LexBoosT

#Changelog:

#Version 93.0

-Fixed underwater caustics not appearing at a certain depth.
-Improved a bit dithering on SSS.
-Improved sky color.
-Decreased Rain Fog.
-Increased a bit Day Light Intensity.
-Decreased Day Ambience Intensity.
-Fixed shootingStars appears when it rain.
-Fixed Black Hole disappearing when underwater in Ender.
-Fixed Compatibility for certain hardware on Iris.
-Added option to Disable Flash Entities effect on players.
-Slight change in sky color.

#Version 92.1

-Fix bobbing on Moonphase.

#Version 92.0

-Improved Dynamic Handlight
-The coloring of the light in hand is now based on Blocklight color when Colored Dynamic Handlight is disable.
-Added Copper lamp with possibility to adjusts intensity for all dimensions.
-Adjust Redstone torch, conduit, Sea pickles, Magma Block Lighting.
-Added Mace for Flash Entities.
-Added emissivness for the breeze.

#Version 91.1

-Fixed typo in language files.
-Adjusts Ripples.
-Improved a bit LightShaft Smoker the night.
-Added armadillo and bogged IDs for Flash Entities.
-Fix typo in block.properties for Iris compatibility.

#Version 91.0

-Fixed Blaze too bright.
-Fixed Colorgrading.
-Now Chromatic aberration is split into 3 parts (OFF, Chromatic Blur (Need DOF enabled), Standard).
-Fix Compilation error when you enabled Vanilla Sky.
-Added a slider to adjust the color intensity of the Round Sun/Moon.

#Version 90.0

-Added Anisotropic Filtering (Thx IMS & ruvaldak).
-Fixed Stars jitter when you disable Double layer stars.
-Fixed Stars disappears when you disabled Stars jitter.
-Added Distant Fade for Underwater Fog.
-Fixed Lightmap on gbuffers_block.
-Other small adjustments.

#Version 89.0

-Added Night Desaturation option in World Menu (enabled by default).
-Improved AO.
-Improved SSS.
-Added Rough Blur Option.
-Slight modification of the Lens Flare.
-Improved a bit Lost Glare and Vortex.
-Decreased Light Shaft in Ender.
-Improved stars jitter in Ender.
-Set Nether Portal to "No Disk".
-Deacreased Sun Size.
-Increased Sun Color and sunRays color.
-Deacreased Blocklight on hands and added option for that.

#Version 88.0

-Added option for adjusts AO on normals.
-Added Option to adjust normals strength.
-Modifying shadow blur by gaussian blur.
-Fixed Corruption Effect.
-Fixed Hyper Speed Effect.
-Fixed Frosted Lens Effect.
-Fixed KUWAHARA Effect.
-Fixed Underwater Blur.
-Code rearrangement.
-Others small Adjutments and optimizations.

#Version 87.0

-Disabling random characters in language files.
-Improved Light when Dynamic HandLight is disabled.
-Improved Smoker Lightshaft position in End.
-Improved Aurora Quality in End.
-Improved Smoker Lightshaft in Overworld.
-Improved Lightshaft underwater visibility the night when it rain.
-Replace Ambient light by Brightness Strength in End Color Menu.
-Adjust the brightness of the "End Portal Frame".
-Disabled Reflection on End Portal.
-Rework a bit Stars Jitter.
-Fixed Round Sun/Moon Bounce in the sky when you walk.
-Added Double Layer for Stars.
-Added option for SSS on Glass/Stained Glass (Stained Glass by default).
-Replaced BSL Tonemap by my own.
-Little adjustments of Colors in Nether/Ender.
-Bloom Strength adjustments.
-Added Lava Noise option in World Menu (enabled by default).
-Added more options for Blurry Sky (OFF/Day&Night/Day/Night).
-Shiningstars are thinner by default.
-Fixed compilation error when you disable Techno-XP
-Fixed compilation error when you choose bloc selector to Normal or RGB Custom.
-The XP Ball no longer interferes with the lightmap.
-Added Slider for adjusts Saturation and Transparency for Stained Glass in "Visual Menu".
-Fixed bad lightmap on gbuffers_textured.
-Fixed waving on tall plants.
-Disabled Colored Hand Lighting on Nether Portal, emissive particles and certain emissive block.
-Improved a bit SSS offset.
-Added emissivness on potted flowers.
-Others small adjustments.

#Version 86.0

-Added emissivness on nether_gold_ore and nether_quartz_ore compatible with Pickaxe Reveal.
-Added emissivness on chorus (ON/OFF) in Lighting/Dimension Block Brightness/Bonus for Overworld/Nether/Ender.
-Added option to adjusts chorus emissivness in Overworld/Nether/Ender.
-Added ability to disable Dynamic handlight.
-Fixed Weather Dynamic Handlight Color.
-Fixed Dynamic Hand Light on Blocks.
-If you have Dynamic Hand Light disabled and Blocklight by Temp enabled, the torch light will have this color setting.

#Version 85.0

-Deleted Concentrate Light option.(is adjusted with the light concentration slider now).
-Fixed lighting on textures.
-Added Slider for adjusts Blocklight Concentration.
-I lowered a bit the concentration of the default block lighting.
-Added a menu to adjust the lighting color (luminance/saturation) of the blocks for Colored Handlight.
-For some capricious material:
    -Fixed compilation error in gbuffers_textured.
    -Fixed compilation error in composite1.
-Increase a bit Underwater Light Shaft Strength.
-Fixed Light Shaft don't appears when it rain.

#Version 84.0

-Added Rain off on Lava/Sand for rain reflection.
-Added 9 lowers values for Motion Blur.
-Added Underwater Smoke (XDom36 idea).
-Added more lowers values for line transparency (Constellations).
-Now visibility of caustics and projected caustics have 2 sliders (Day/Night).
-Now Clouds Brightness have 2 sliders (Day/Night).
-Increase Light Shaft visibility during the rain.
-Fix Color of Cloud when it rain the night with Cloud Color Clear option.
-Fixed Blocklight makes handheld items too bright.
-Better Smooth fade for ShiningStars. Now appears on clouds not below.
-Added Sunset/Sunrise Strength slider for Light Shaft (Soft/Medium/High/Very High) (Soft by default).
-Others small adjustments.

#Version 83.0

-Full Support 1.16.5 to 1.20+ (No support for previous versions).
-Modded block IDs have been removed. You can find them on my site with instructions in block.properties.
-Modifying default noise.
-Added Refraction on glass/ice/nether portal (OFF/Water/Water+Glass/Water+Glass+Ice).
-Improved Smoker LightShaft.
-Improved Lighting and Handlight.
-Disabled Camera Shift by default (Now only on Lex Profile).
-Fixed stars brightness at sunrise.
-Fixed visibility of Directionnal Lighting.
-Enderworld ambient light is a bit darker.
-Modifying water wave.
-Improved color of Sea Lantern, Glowstone, Vine Berries, Soul Fire.
-Reworked "Scattering Clouds"/"Clouds" and the Clouds Configuration Menu.
-Option for Clouds Color the Night (Dark or Clear).
-Option for Clouds Color the Day (Sky Colored or Clear).
-Split the "Emissive Particles" option into 2 parts (red and purple).
-Extension of the emissivity of glow berries.(not just the white point of the fruit).
-The lava is now emissive.
-Reworked a bit Aurora.
-Fixed typo in block.properties and gbuffers_basic.
-Fixed Unvalid macro.
-Adjust color of Jack O Lantern.
-Increase a bit color vibrance.
-Fixed overlay visible on the screen when you are in a dark area.
-Now Dragon Eyes is glowing.
-Others minors changes.
-If Movement Cam don't work on Iris, just wait an update.

#Version 82.0

-Disabled automatic frustum culling when world curvature is enabled.
-Fixed SSS on plants when you are underwater.
-Improved Stars Color/Intensity.(Overworld/Ender).
-Changing the default direction of the glint.
-Fixed a bug that has existed for a while (Number of Shooting Stars).
-Improved reflection in the Nether.
-Fixed High saturation on hands when you disable Water Caustics.
-Power Lighting is now a default value.
-Increase a bit emissive flowers intensity.
-Decrease a bit Critical Blur in Ender.
-Decrease blur underwater.
-Fixed a warning in gbuffers_entities.
-Back to BSL's bloom (it's the best!).
-Added Magma Bloc for Colored HandLight.
-Fixed line position when World Curvature is enabled.
-Camera Shift is Back! (Enabled on default profile and Lex Profile) (Only on ground for Optifine, everytime for Iris (i wait is_on_ground variable)).
-Added more steps for Shadow Map Resolution and Distance.
-Changing the dirt image for Dirty Lens.

#Version 81.0

-54.27% compression of the textures used for the shader.
-Improved SSS fading.
-Increase a bit SSS on the Entities.
-Increase a bit SSS the night.
-Improved Auto Exposure.
-Improved Clouds.
-Improved visibility of Planet/Nebula/Galaxy when Auto Exposure is disabled.
-Added option for RP Custom Sky for reflection on translucent.
-Added option for see Lighting Bolt in Ender during Dragon Battle. (Enabled by default).
-Fix Reflection sky color on water in Ender.
-Added reflections on water in the Ender for Stars, Shooting Stars, Aurora, Lighting Bolt, in the respective menus.
-Decrease Dirty Lens Strength.
-Added Critical Blur for Ender Dimension (In Bloom Dimension Menu) (Enabled by default).
-Fixed Entities Glowing flash when you sneak, and fixing the transparency.
-Added Entities Glowing RGB effect (in Visual Menu) (Enabled by default).
-Fixed DOF with Entities Glowing.
-Improved thickness of Glowing effect on Entities.
-Added 3D Block Selector option with 3 modes (OFF, Active or Sneak). (Sneak Enabled by default on Lex Profile).
-Increase AO Strength by default.
-Others small adjustments.

#Version 80.2

-Fixed sneeze particles.
-Decrease a bit samples of the Motion Blur.

#Version 80.1

-Fixed compilation error in sky_basic
-Modify a bit sun reflection.

#Version 80.0

-Compatible 1.20.1.
-Unclamp color for Custom Block Selector.
-Added Old Aurora Noise option like BSLex.(Enable by default)
-Improved Clouds Color and Scattering.(Day/Night).
-Reverse of Upper and Lower in the color configuration for the Northern Lights.
-Increase ShiningStars Brightness in the sky.
-Re-added World Curvature.

#Version 79.0

-Compatible 1.20.
-Added 2, 10, 14 chunks for shadows distance.
-Reduced hand movements by half when underwater.
-Added suspicious sand ID for disable puddles on it.
-Fixed Handlight bug with Sculk Sensor.

#Version 78.3

-Added Bloom Multiplier slider.
-Increase a bit Default Bloom Strength.
-Added "Weather Emissive Flowers" option to enable emissivity during rain. (Enable by default).
-Fixed bad waving for crops.

#Version 78.2

-Fixed vanilla shadows that can appear under some entities.

#Version 78.1

-Modifying (fix) waving for mangrove propagule.
-Fix Waving slider in Waving Menu.

#Version 78.0

-Fixed coloring of Sculk Sensor.
-Added sliders for changes colors of Shining Stars and Lines.
-Adjusts Emissivity for gold ore/emerald ore/iron ore/redstone ore.
-Fixed Emissivity for Signs.
-Added SSS for Pitcher plants.
-Added Emissivity for Calibrated Sculk Sensor.
-Fixed vanilla Stars appearing during sunrise under Iris.
-Fixed Compilation error when Outline is Enable.
-Decrease Emissivity for brewing stand.
-Added Slider for Aurora Reflection Strength.
-Added Slider for Clouds Reflection Strength.
-Added Horizon Fade on water option to have the same fade above the horizon line as below. (Enable on LexBoosT Profile).
-Enabled Lens Flare by default.
-Improved handheld blocklight out of water and in water.
-Improved Clouds Mask reflection on water for stars, aurora borealis, shooting stars, planets, galaxy.
-Increase the default Shining Stars Reflection value.
-Increase a bit clouds coloring at sunset/sunrise.
-Removed border on dynamic handlight sharpness.
-Increase handlight distance in water.
-Increase a bit Sun glare.
-Decrease AO on LabPBR.
-Added Sliders for control Water Reflection Day/Night.
-Added Emissive Flowers option with slider to adjust emissivity strenght. (Thanks Septonious for albedo check).
-Added Slider for adjusts plants waving speed.
-Added SSS on Wool, Melon, Pumpkin, Beds.
-Added SSS with Option for Sand, Snow, Calcite, Quartz.
-Fixed compatibility with Apple M1/2. (Thx Mammoth for testing).
-Others small adjustments.

#Version 77.1

-Fixed compilation error on MC 1.16.5.

#Version 77.0

-Fixed compilation error when you enable Vanilla Sky option in Sky Color Menu.
-Fixed LightShaft color when Night vision is enabled.
-Improved a bit Aurora.
-Improved Underwater LighShaft.
-Now Planet and Majora's Mask have a separate option, if you enable both
 options only Majora's Mask will appear. (To avoid MACRO WARNs in the .log)
-Improved Sea Lantern emissivity.
-Changed dirt texture by BSL dirt texture.
-Fixed gliches on Smoke particles.
-Disabling Caustics During New Moon.
-Campfire Smoke is now transparent.
-Increase Sun and Moon reflection.
-Fixed torchflower crop waving.
-Now Light Flickering as 2 options, Block Flickering and Hands Flickering.
-Improved Snow fog the night and caves.(Thx FENVEN)
-Disabled Underwater Sky Opacity the night.
-Disabled Water Refraction for RTX and Vanilla Tinted water style when you are under the surface.
-Added slider for Underwater Caustics visibility.
-Modifying Tinted Vanilla Water to Vanilla.
-Fixed Typo in Water Reverb description.
-Absoption is now in Water Color Menu.
-Increase Underwater visibility when Light Shaft is enabled.
-Improved Lightshaft dithering.
-Improved smoothness of Motion Blur.
-Vanilla Water Mode as proper Absorption color system and can be disabled.
-Fixed water/terrain fading for the Distant Fade option. (Thx Capt!).
-Water Caustics is more smooth.
-Others small adjustments.

#Version 76.0

-Increase water opactity in caves, in the night.
-Fixed compilation error on composite13.
-Fixed shader crash on Iris when you use Lightshaft with AMD Cards.
-Modify a bit BlackBody function and set the temperature a bit more white.
-Added Waving options for Mushrooms and Cobweb.
-Fixed EminGT Colored Lighting.
-Improved main color.
-Fixed Particles behind glass.
-Enabled Frustum culling.
-Birds is more visible.
-SunPatRotation slider is now in Sky Configuration Menu.
-Added a shortcut to disable Round Sun/Moon below the Custom RP option to save time if you have a resource pack with a skybox.

#Version 75.0

-Little Trick to "fix" Specular on Hands on LabPBR Format. Option in the Secret Menu.
-Modify Dithering on Shadows, SSS, Reflection.
-Added various FasthMath.
-Fixed Glint Visibility the Day.
-Added Option for disabled Motion Blur on Players. (Only work for MC 1.16.5+).
-Various adjustement with lightmap coord.
-Now Per Biome Weather Colors is in Weather Menu with Per Biome Weather option.
-Added ability to activate or deactivate the weather coloring of the different biomes.
-Removed loop not needed for Motion Blur code.
-Increase a bit reflection for Water Reverb Option.
-Added ability to disable clouds.
-Merging Aurora and Aurora End code and modification of noise.
-Fixed color when birds crossing.
-Improve Magical Glint Colors.
-Added Glint Direction slider (in degres).
-Added Possibility to adjust Glint speed animation.
-Fixed Water reflection on old version of MC. (Thanks Emin).
-Fixed Color of particles for older version of MC.
-Fixed Bloom Strenght for older version of MC.
-Improve Coloration in shaders Menu.

#Version 74.0

-Fixed Fast Leaves on Iris.(Thanks IMS).
-Fixed Colored Shadow Color texture.
-Added Option for End Portal. (Gray or Purple/Pink/Blue).
-Decrease Samples of AO if TAA is Enable.
-Vanilla AO is now standard value.(1.0 instead 0.5).
-Default Strength value for AO shader is now 3.0.
-Improved a bit SSS noise.
-Modification of the "hue" code to replace sin() by modulo.
-Decrease normal strength for puddles.
-Added option for adjust puddles fresnel on smoothness texture.(Low/Medium/High/Very High).
-Better visibility of Ripples.
-Added Approxiomate Trigonometric option for better performance with low end computer.
-Fix bad glowing pixel on Shulker and increase a bit emissivness.
-Improve glowing for Blaze, End Crystal, Drowned, Glow Squid and Allay.
-Increase a bit Bloom Strength in Nether and Ender.
-Improve samples and modify dithering for Motion Blur.
-Various small adjustments and optimizations.

#Version 73.0

-Added values for Smooth/Metal Reflection slider.
-Optimize Motion Blur code.
-Fix Motion Blur on glass in hand.
-Improve TAA and NeighbourhoodClamping code.
-Optimize Nether/Mesa/Desert/Burning refraction code.
-Optimize Blur disk function for Bloom.
-Optimize BSL Tonemap Code and modify a bit saturation calculation.
-Revert -Fixed Fog behind tinted glass when you are underwater (V71.0).
-Added Option for Glint Compatibility with RessourcePack on 1.19.4+.
-Disable waving on sugar cane.
-Fixed Compilation error when you enabled Barrel Vignette.
-Fixed compilation error when you enabled ShiningStar reflection.
-By default, shadowMapResolution is now 3072.
-Deacrease a bit Ambient Light Intensity the day.
-Added Blocks Entities shadow option.
-Added option for RP Compatibility Colored Shadows (like Napp Glass).
-Changed the "Underground Sky Fix" option to using isEyeInCave and enabled by default.
-Adjust horizon color. (Now is less saturated).
-Now, for the Ultra Profile, Birds and Sun Rays option is enabled.
-Improve a bit clouds shape.
-Code optimization and refactoring.

#Version 72.0

-Ready for Mc 1.20.
-Added waving for Cherry Blossom leaves, Pink Petals, Torch Flower and all sapling.
-Added emissivness on Torch Flower.
-Added SSS on Sniffer, Cherry Blossom Leaves, Pink Petals, Torch Flower.
-Deacrease a bit waving plants speed.

#Version 71.1

-Fixed Colored Shadows color on glass.

#Version 71.0

-Improved TAA.
-Fixed various typos in language files.
-Adjusts Dynamic hand light color on hands when you modify max light settings.
-Added Dithering option style for LightShaft. (Textured or Interleaved). Interleaved by default now.
-Added Sliders for adjust Flash Entities in OverWorld/Nether/Ender.
-When Light Shafts in Ender is disable, the color of fog is now Black.
-Fixed Fog behind tinted glass when you are underwater.
-Fixed Underwater shadow on water surface.
-Enabled Normals on Plants by default.
-Ability to set Ender fog to 0.
-Fixed Fov problem with Light Shafts in Ender.
-Added Kuwahara Effect.
-Various small code adjustments.

#Version 70.0

-Fix non-existent Biome ID (BIOME_GROVE).
-Added Entity Damage Flash Custom Color with RGB Sliders.
-Added adjustments options for FXAA.
-Adjusts default Rotation of Majora's Planet.
-Little Fix for Planet Option.
-Fix compilation error when you use particles emission option before MC 1.15.
-Various small adjustments.

#Version 69.1

-Fix Compilation Error when switch OldPBR/LabPBR.
-Added Majora's Mask Planet option.

#Version 69.0

-HyperSpeed now work with Downscale option.
-Improve CRT border code.
-Better visibility of weather Rain/Snow (Day/Night).
-Adjust color intensity with Handlight Coloring Weather for Rain/Snow (Day/Night).
-Added Aces Filmic Tonemap approximation Menu for:
    -Overworld (OFF/Day&Night/Only Night/Only Day) (OFF by default).
    -Nether (OFF/ON) (OFF by default).
    -Ender (OFF/ON) (OFF by default).
-Decrease a bit Lensflare the night.
-Code formatting again.
-Various small adjustments and optimizations.

#Version 68.1

-Reduced intensity of caustics when it rains.
-Set Skybox Brignhtess value to 0.25.
-Increase a bit Light Shaft strenght in Ender.
-Remove unused uniforms.
-Code formatting.

#Version 68.0

-Add SSS on player and fox.
-Optimize various function call.
-Separation of Underwater Blur from DOF. No need to have DOF enabled anymore.
-Added New Underwater Blur Based Bloom (UBBB). (Enable by default) with sliders for adjust Blur and Bloom in water.
-Added option to Enable or Disable Blur on Hands when Underwater Blur is Enable.
-Fix Sharpen AA (was not working properly).
-Improved dithering on water surface for the reflection.
-Decrease water speed.
-Modify dithering for Light Shaft and SSS.
-Modify distance and coverage of Stars.
-Modify thickness of ShiningStars/Constellations.
-Increase a bit Aurora visibility.
-Adjust bloom size and add a slider to adjust it manually.
-Improved Sky Blur.
-Fixed Compilation error when you disable Round Sun/Moon.
-Increase Dynamic Handlight distance/color when you are underwater.
-Fixed shootingStars appearing too long after the rain starts.
-Increase a bit Frosted Lens Color by default.
-Added Blur effect when you enter in snow powder.
-Added option for Sunset/Sunrise Saturation.
-Added option for SSS Quality.
-Remove unused Bayers.
-Added option to enable/disable Black Outline on string. (disable by default) (Only for MC >= 1.16.5)
-Added option to disable string visibility. (Visual Menu)
-Increase a bit Light Shaft the Night.
-Various small adjustments and optimizations.

#Version 67.0

-Fixed crash on M1 due to fastmath outside of void main. (Big Thanks Tatsu for help me with that).
-Fixed lighting glitches on Intel Mesa and M1.
-Rework DoF code with TechDev Rejection (Thanks to him).
-Dof/Chromatic Aberration/Distance Blur is on one page now.
-Removed Rain Blur Vignette.
-Disable Sun Rays and Birds on all profiles except Lex Profile.
-Disable 16/9 Bands and Enable DoF for Lex Profile.
-Decrease a bit Motion Blur Strength for Ultra/Lex/Borderland Profiles.
-Fixed invisible damaged block animation.
-Fix the array index out of bounds in the deferred1 program why cause compilation error on certain hardware.
-Fixed lighting on Intel Mesa.
-Rework SSS Menu with New Options:
    -SSS on Entities (mobs) with slider to adjust.
    -SSS Day Strength.
    -SSS Night Strength.
    -SSS Foliage Strength.
    -SSS Leaves Strength.
-Improve SSS shading.
-Add SSS for Cactus.
-Re Added SSS on Translucent.
-Adjusts Puddles Reflection.
-Adjust Metal Reflection (More Metallic).
-Adjust LightShaft when it rain.
-Shooting Stars are thinner and speed is reduced.

#Version 66.0

-Fix Beacon Beam Layer disapears when Emissive Beam is Enable.
-Removed Camera Noise option.
-Delete Camera Noise and rework my own Film Grain.
-Rework Hue for Block Selector, Armor Glint, Techno XP (more color cycle).
-Motion Blur is Enable by default and enable for all Profiles.
-Fixed Vanilla SkyBox Color.
-Sunset/Sunrise is more Orange.
-Now Auto Exposure only has one option.
-Optimize pow function.
-Added animated Sun Rays (Only work with Round Sun/Moon) with many options to customize:
    -Amplitude of Rays.
    -Amplitude Speed.
    -Rotation Speed.
    -Two choices for customize Color of Rays (Global Sun Color / Custom).
    -Numbers of Rays.
    -Distance of the Sun (Compatible with Sun Size slider of Round Sun/Moon and Bigger Sun option).
    -Compatible with Horizon Sun/Moon option.
-Added "Child Birds Drawing" option with possibility to adjust:
    -Thickness
    -Height
    -Amplitude
    -Numbers of birds per groups
-Adjusts Vanilla Clouds Color overnight.
-Adjusts Underwater Fog Color in Ender.
-Adjusts a bit Profiles.
-Support of Bamboo Sign/Wall/Hanging and Camel.

#Version 65.0

[This version needs some clean configuration due to a few option name changes]

-Rework Shaders Menu.
-Improved Dof.
-Fixed rendering issue with Physic Mod when parallax is enabled. (Only for Forge)
-Improved Armor Glint color.
-Disable SSS on glasses because weird banding effect at 6000.
-Fix Hologram/Name Tag when parallax is enabled.
-Added option for disable parallax on various entities (mobs) for mod support.
-Added option to disable damage effect from mobs.
-Fixed bad metallic reflection on Seus PBR Format.
-Improved Fog distance for Nether dimension.
-Enabled AA on Beacon Beams.
-Added Nether Fog Color Mult option in Fog Menu (Soft/Intense).(Default is Intense).
-Improved reflection in Nether and Ender dimension.
-Increase a bit night density fog.
-Decrease underwater refraction speed.
-Rename "Clouds" (ON/OFF) option to "Realistic Clouds" or "Vanilla Clouds".
-Improved lantern/soul lantern color and also when you are underground.
-Improved clouds shape and quality.
-Improved candles emissivity.
-Improved emissivity for redstone/ender particles.
-Added AA on particles.
-Added Aurora in Ender Dimension with possibilities to change some parameters.
-Added option for enable only Hardcoded Emissive block.
-Improved Ambient lighting.
-Slight modification of the Tonemap.
-Various small adjustments and optimizations.

#Version 64.0

-Improve Ice Reflection.
-Increase line width by 1 pixel.
-Improve vanilla clouds distance and fade and set opacity to 1.0 by default.
-Added "Black Hole" option (highly modified End Vortex from Septonious, thanks to him).
-Ability to change the color of the Black Hole.
-Black Hole is enable by default and work only if Lost Glare is enable.
-Lost Glare is a bit more powerful by default.
-Renamed "Ender Lost Glare Menu" to "Lost Glare/Black Hole Menu".
-Fixed compilation error when Ender Light Shaft is disabled when Light Shaft is enabled.
-Improve Sea Lantern emissive color.
-Added emissivity to the End Crystal.
-Fixed Dynamic Hand Light distance when Colored Hand Light is enabled.
-Decrease a bit Ambient End intensity.
-Improve emission of lantern and soul lantern.
-Fixed Hyper Speed visual when Sharpen AA is enabled.
-Fixed Parallax on Lava.
-Various small adjustments optimizations.

#Version 63.0

-Fix deactivation of puddle on lava.
-Disable puddle on magma block.
-Added emissivity option for ender/redstone particles (in Visual Menu).
-Added emissivity for Blaze.
-Smoothly adjust biome transition for PerBiome Weather option.
-Adjusts blur for Sky Blur Option.
-Enable Sharpen AA by default.
-Fixed Dynamic Hand Light fade.
-Increase emissivity for brewing stand.

#Version 62.1

-Decrease a bit OverWorld Fog.
-Fixed Emin Colored Lighting.

#Version 62.0

-Fixed colored shadows when LightShaft passes through transparent blocks.
-Improve Underwater LightShaft.
-Improve Colored Shadow Color.
-LightShaft passes through glass and water at the same time.
-Increase a bit shadow distance for low profile.
-Added option to configure Sun/Moon color fade (Soft/Medium/Raw).
-Improved a bit Ender Lightshaft color intensity for better visibility.
-Added chinese translation.
-Planet is a bit more colored the day.
-Fixed alpha for nebula/galaxy on sunset/sunrise.
-Increase a bit second layer of Rain Drop on Screen.

#Version 61.0

-Adds option (in Round Sun/Moon Menu) for Adds 33% diameter to the sun compared to the diameter of the moon.(Enable by default)
-Intensity of Sun/Moon is reduced by 75%.
-Slight increase Sun/Moon diameter.
-Now Sunglare and Moonglare is split into 2 parts for a better fade at sunrise and sunset.
-Added option for enable Hyper Speed only if you sprinting.(Don't work for Iris, wait custom uniform support by Iris Dev)

#Version 60.1

-Fixed game crashing on certain drivers when entering in Ender Dimension with LightShaft enabled.

#Version 60.0

-Separate Left and Right Hand light Color with fade.
-Delete many unused Options:
    -CAS
    -Standard Lens Flare (I only keep the double rainbow)
    -Mode Rage
    -Lex Ambient
    -Standard Dithering Screen
-Adjusts Underwater Sky Brightness.
-Fix Underwater Fog Color for Realistic Water.
-Fixed stars on the Moon.
-Added an option to adjust the distance of stars compared to the moon. (Ideal if you have resource packs with towering Moons).
-Added an option to adjust the fade of stars around the moon.
-Improved waving of grass.
-Improved waving of lantern.
-Rename "Animated Rain" by "Rain Style" (OFF, Dancing Rain, Angle). (Angle by default Now)
-Disabling rain effects on snow biome.
-Fixed Sunglare when LightShaft is disable.
-Fixed Sun/Moon reflection on water when LightShaft is enable.
-Improved emissivness of End Portal and add sliders for adjusts.
-Reduced the color intensity of blocks on raindrops when using the "Colored Dynamic Handlight" option.
-Rain and Snow has anti-aliasing now.
-Rework Emissive code and re-adjusts all emissive block for different dimension.
-Added menu with sliders to configure all sculk blocks independently.
-Modify a bit Bloom Strength and radius by default.
-Adjust Dirty Lens with the bloom modification by default.
-Adjust lighting power inside.
-Decrease a bit Sun and Moon reflection on water.
-Better fade for effects that require the Day/Night switch.
-Optimization of code reading and cleaning.

#Version 59.1

-Delete Emissive Recolor Option.
-Improved reflection on metal/rough.
-Delete Albedo Metal Option.
-Minor optimizations and code cleanup.

#Version 59.0

-Added Sunrise/Sunset Stars option.
-Lowers the lighting power of the blocks.
-Improve dithering for Reflection, Clouds, Stars, LightShaft.
-Added Emissive Ores option with Pickaxe Reveal (OFF/ON/ANIME).
-Added Emissive for Crying Obsidian / Respawn Anchor.
-Added Emissive for Shulker.
-Added Emissive for Warden.
-Added Emissive for Brewing Stand.
-Heat Refraction executed only in correct conditions.
-Delete old Raindrop Style.
-Decrease a bit emissive light on ground.
-Optimize Colored Lighting code.
-Rework Screen Drops Menu.
-Rework Weather Menu.
-Fixed visual issue with Bloom Starter when the value is too high.
-Fixed compilation error when you disable LightShaft.
-Disable Celshading on LexBoosT profile.
-Added Borderland + Profile (Lex Profile but with Celshading + Starter Effect).
-Added OLD TV Color Profile.
-Added Old TV Black & White Profile.
-Added Playstation 1 Profile.
-Fixed nametag bug with Iris. (Thanks Capt Tatsu)
-Possibility to disable Sun/Moon Reflections in Advanced Materials/Reflections Menu.
-Performance increase (~ 7%) (Before 10.2ms Now 8.82ms with my hardware).

#Version 58.0

-Underwater LightShaft is less dark.
-Better visibility in water the night.
-Added Subtil Blurry Sky Option (enable by default).
-Increase a bit default Moon Glare.
-Adjust Underwater Sun/Moon Glare.
-Adjust Stars reflection on water.
-Increase a bit Light Shaft during the night.
-Increase default emissive overhall.
-Increase Glowstone Brightness by default.
-Added waving for dead_bush.
-Now the Sunglare color depend of the Light color.
-Delete Shiny Sunrise option.
-Now Sunrise/Sunset is more Colored.
-Fix Water refraction on Nether Portal.
-Decrease a bit 3D on New Nether Portal.
-Nether Portal is now more transparent.
-Decrease a bit LightShaft contrast during Day/Night.
-Smoker Light Shaft is now enable the night by default.
-Adjust speed of Smoker Light Shaft.
-Adjust Emissive blocks brightness.

#Version 57.0

-Added SSS on Mangrove propagule.
-Better emissivness of Beacon Beam.
-Armor Glint has a better color/Intensity at day/night.
-Fixed Lighting Bolt texture and now has a good white color.
-Lighting Bolt is now a bit transparent.
-Improves Sky reflection on Metal Blocks.
-Improves OldPBR/LabPBR reflection on Metal and Smoothness blocks.
-Decrease reflection of the sky on the blocks placed in the water.
-Improves Bloom and the value is, by default, a little higher.
-Blocklight by Temp is now more white. (3250 to 3750).
-The night is a little less dark.
-Improves rain puddles reflection.
-Improves Underwater LightShaft Day/Night.
-Added Constrast sliders for Underwater LighShaft Color (Day and Night).
-Added Constrast sliders for LightShaft (Day and Night).
-Add Smoothness Intensity Option.
-Improves a bit Underwater Water Reverb.

#Version 56.2

-Reflection of sun/moon on water is is a bit more colorful.
-Fixed compilation error on gbuffers_skytextured on certain hardware.
-Fixed weird reflection on water.
-Increase a bit Smoothness Multiplier by default.

#Version 56.1

-Fixed compilation errors with the new OpenGL version with older MC versions. (Thanks Emin)
-Delete Shadows Close dithering cause problem with Mesa driver.
-Now SSS quality option is disable and is set to High.
-Others little adjustments

#Version 56.0

-Change version of OpenGL to 1.30.
-Clamping water color.
-Work on M1 but little artifacts when Advanced Materials is enable.
-Rename Default Mode for water to Realistic Water.
-Rework Vanilla Tinted Water Mode.
-Delete Flat Vanilla Mode for water.
-Deacrease a bit Reflection of Planet/Nebula/Galaxy on water.
-Increase a bit the quality of Nebula reflection on water.
-Denoise a bit LightShaft.
-Enable Stars reflection on Ultra Profile and ShiningStars for LEX Profile.
-Fix Compilation error when you turn OFF Moon phase Influence and when you have NEW Moon Stuff Disabler ON.

#Version 55.1

-Fixed ShootingsStars when the option is set to 1 star.
-Update Chinese translation by zhihuideerha.

#Version 55.0

-Adds Fading animation option for Starter Effect option.
-Fix glow text on signs when Advanced Materials is disable.
-Adds Chinese translation (Thanks zhihuideerha for the good work)

#Version 54.0

-Increase Sunglare Underwater value.
-Add option to adjusts the delay of the reflection of the rain on the ground.
-Add option to adjusts the reflection spawn delay when it rains.
-Now Reflection Rain Menu is on Weather Menu.
-Increase a bit the delay of the rain reflection.
-Decrease a bit Water Speed.
-Fix Compilation error when Weather Perbiome option is enabled in the Nether.

#Version 53.2

-Fix Compilation error when you enable Aurora Perbiome Weather option.
-Fix Compilation error when you disable Weather Perbiome option.

#Version 53.1

-Caustics are visible in the deep ocean when LightShaft is enable.
-Fix Frozen Lens when LightShaft is Enable.

#version 53.0

-Decrease Vibrance/Saturation for more natural color.
-Changing the jitter offset for TAA.
-Improve Chromatic Aberration offset.
-Clouds is a bit more fluffy.
-Better noise for water.

#Version 52.3

-Adds ability to adjust Sun and Moon reflection.

#Version 52.2

-Add option to disable Ripples on Lava, Lava/Snow, Lava/Snow/Sand.
-Adjusts Glint intensity a bit when you are in a dark area.

#Version 52.1

-Fix crash with AMD GPU!
-Fix compilation error when you choose Low Profile.
-Improve Enchanted Glint Color for CONSISTENT ENCHANT option.
-Improve Magical Glint Color.

#Version 52.0

-Increase settings values for Minimum Light. Now you can go up to 5.0 instead of 1.0.
-Delete hidden options.
-Fix double options in settings.
-Cleanup languages files.

#Version 51.2

-Add new Menu "Darkness Effects" in Visual/Screen Effects.
-Re-Work Darkness Fog.
-Add 2 choices for Darkness Fog (Simple/Big).
-Add Slider to adjust Fog strength/distance for the Darkness.
-Moved Bloom option for darkness in the new Menu.
-Add possibility to Disable Darkness Effect.
-Decrease Darkness Bloom Strenght by default.
-Fading lighting/Screen dimming in the Darkness is now operational. (Thanks Emin for the uniform)
-Add Screen Dimming option for Darkness Effect (Low/Medium/High).

#Version 51.1

-Warden Update (When Warden appears):
    -Increase FOG.
    -Disable LensFlare.
    -Disable Rainbow.
    -Descrease Specular Highlight.
    -Disable Sky and Sky effects.
    -Decrease Shadows/ Scene Lighting.
    -Disable Lightshaft.

#Version 51.0

-Ready for Mc 1.19.
-Not Compatible Apple M1.
-Fixed Underground Sky for Clouds and Rainbow.
-Add Underground Fog option (enable by default).
-Adjusts the fading in/out of the rainbow.
-Add Sliders to adjust froglights for OVERWORLD/NETHER/ENDER.
-Add emissive Sculk Blocks.
-Adjust distance to vanilla clouds with a transparent fade.
-Froglight Block is compatible with dynamic colored handlight.
-Fixed broken block particles flickering for Iris Users.
-Increase Bloom Strenght when you're in fight with the Warden.
-Adds the possibility to adjust Bloom strength for Warden Fight.
-Fixed stars that were in 2 parts in Overworld and Ender.
-Now the stars have a correct position in the sky move together with the moon in Overworld.
-Fixed position of the stars in the Ender.
-Fixed the visibility of fog on the terrain when disabling the option.
-Add Jitter Stars option for Overworld and End.
-Add possibility to disable Shadows on entities.
-Fix a little problem with TAA. (Tearing on the hands).
-Add New Moon Menu in Sky Menu for disable Lensflare, Light Shafts, Moon glare and Moon reflection on water for the new moon.
-Add Slider for adjusts lightmap intensity when moonphase is on new moon.
-Add Sculk Sensor Active Color Fix option in Secret Menu. (Allows you to correct the color of the sculk sensor when it is active with RGB sliders. Used when changing the temperature of light blocks with Blocklight By Temp option).
-Add slider to adjust Sculk Catalyst Brightness.
-Decrease a bit Dirty Lens Strength by default.
-Increase Dof focus speed.
-Add SSS for Honeycomb Block.
-Add waving for Mangrove Leaves.
-Add Weather color for Mangrove Swamp Biome (don't work on Iris).
-Others little adjustments for Iris compatibilities.
-And many more.

#Version 50.0

-Adjust Water Reverb.
-Fix underwater refraction when looking at particles, entities, terrain... towards the sky.
-Adjust Water Color.
-Adjust Underwater Sky Surface.
-Optimizes Chroma Aberration.
-Added Projected Caustics with possibility to adjsut visibility.
-Water Caustics and Projected Caustics now is enabled if LightShaft is ON.
-Increase quality of Lighshaft in Ender.
-Fix underwater LightShaft in Ender.
-Fix Colored Shadows in Ender.
-Rework a bit Lightshaft.
-Fixed compilation error when you enable Low Profile with Burning Effect.
-Fixed compilation error when you enable Bloom Start with Start Effect Custom Color Off.
-Modify a bit caustics noise.
-"settings" folder created to accommodate all settings files.
-Delete Multiple Blur Offset for Dof.
-Adjusts Lantern color.
-Decrease a bit LensFlare Intensity
-Rework a bit Post Process Menu.
-Optimizes shaders loading.

#Version 49.2

-Fix Compatibility with Iris.
-Fix Compatibility with AMD.
-Improve Shadow dithering.
-Added SSS Quality.
-Code cleanup.

#Version 49.1

-Fixed Crash on AMD (Thanks Chopper for testing)

#Version 49.0

-Added Concentration effect.
-Support Cinema 16/9 Bands for Concentration.
-Added Burning Effect with slider to adjust strength.
-Modify glsl version for better hardware support.
-Replace textureLod by textureLod and texture by texture.
-Delete reflection on Nether Portal.
-Better Jitter on Shiningstars.
-LabPBR is default Material option for now.
-Little code adjustements for End Stars, Lost Glare.

#Version 48.0

-Rename Damage Effect by Red Vignette.
-Added Corruption effect when you take a damage.
-Added Corruption Plus for more effects on screen.
-Disable ECG effect by default.
-Enable Corruption effect (without Corruption Plus) by default.
-Various small optimizations.

#Version 47.2

-Fix Glowing Sign, now is more glowing and more visible/readable.
-Decrease a bit vanilla AO.

#Version 47.1

-Fix Compilation error when Damage effects is disable.

#Version 47.0

-Rework Ultra Vignette with some options to adjusts effect.
-Now possibility to adjust rough reflection with a slider.
-Improved the border fade of 16/9 Bands.
-Added Barrel effect with fade boder.
-Fix the decentering of Distortion.
-Fix Berserk Mod vignette placement and coloration.
-Fix weird refraction on Vanilla Clouds.
-Added AA on Vanilla Clouds.

#Version 46.1

-Fix waving crops.

#Version 46.0

-Adjust default Pickle Brightness.
-Adjust default Spore Brightness.
-Adjust default Moon Glare.
-Decrease move amplitude of grass.
-New Menu for Damage Effect
-Added ECG effect when you have damage.
-Possibility to modify colors/transparency/thickness of ECG Line.

#Version 45.0

-Delete Particles Visibility.(Causes close up particles problems).
-Improve a bit fading and dithering for Soft Particles.
-Improve SSS Quality for TAA Shadow Filtering.
-Re-Added Promo Outline Everywhere. (Enable/Disable Promo Outline on Water).
-Improve Profile visual and Version visual in shaders Menu.

#Version 44.1

-Added Slider for adjust Techno XP Intensity.

#Version 44.0

-Added modified Emin Water Absorption.(Thanks to him)
-Modify a bit Water Color by default for better visual with Water Absorption.
-Moved 'New Rain' to Weather menu.
-Moved 'Screen Drops' to Weather menu.
-Dispatch several colored menu in their respective Menu:
    -Moved 'Lighting Color Menu' to World menu.
    -Moved 'Weather Color Menu' to World menu.
    -Moved 'Dimension Color Menu' to World menu.
    -Moved 'Sky Color Menu' to Sky Configuration menu.
    -Moved 'Water Color Menu' to Water menu.
-For certain transparency particles, see shaders.properties [Alpha.Test Section] for more information.
-Fixed compilation error when you disable Shooting Stars.
-Added textured noise Water refraction.
-Added possibility to adjust Underwater Sky Opacity with slider.
-Disable Vanilla Fog by default and enable Fog shader for all profiles.
-Added slider for adjust Magma Block Brightness.
-Fix missing shaders options with Iris.
-Fix Ambient Occlusion when FXAA is enable.

#Version 43.1

-Added Emissive on Enchanting Table (adjustable for all dimension).
-Fixed Brigthness sliders for Redstone & Lapis Lazuli for Nether and Ender.

#Version 43.0

-Fixed BOTW Tonemap saturation.
-Fixed Cloud Covering slider.
-Fixed NOUVELLE_PLUIE & WEATHER invalid Option.
-Increase Cloud Dithering.
-Added FXAA | TAA | TAA+FXAA | SUPER TAA+FXAA | SUPER TAA.
-Improve a bit TAA_SHADOW_FILTER quality.
-Now you have only one TAA Shadow Filtering option.
-Light Shafts now support Colored shadow.
-Other small tweaks and adjustements.

#Version 42.0

-Rework WORLD menu
-Added Frosted Lens for Cold Biome with:
    -Adjusts Frost Strength.
    -Support of Dynamic Coloring Hand Light.(Enable by default)
    -Adjusts Coloring Strength.
    -Enable Only when it rain on Cold biome.(Enable by default)
    -Support MC version before 1.16.5 with simple noise effect.
    -Adds fading when you go in/out water, in/out Cold biome, in/out cave/house...
-Moved some codes to composite.
-Added Conduit on Dynamic Hand Light.
-Adjust Starter Color.
-Delete CRT2.0 Effect.
-Increase a bit Drop Speed for New Rain Drops.

#Version 41.0

-More FastMath.
-Added Rough Noise slider.
-Disable Starter by default.
-Disable Dof by default.
-Fix Invalid value in shaders.properties.
-Fix New Rain movement.
-Added Jagged Peaks Biome.
-Adjust SSS on leaves and foliage.
-Added Weather Dynamic Hand Light with support of Colored Dynamic Hand Light. (Enable by default).
-Increase and adjusts BlockLight intensity on Weather (Day and Night).
-Decrease a bit saturation of Light Color in Sunset and Sunrise. (Less orange and more natural).
-Improved overall performance.

#Version 40.0

-Fix finally Sky Reflection on water.
-Added Downscale option in Screen Effects Menu. Ideal for an old console effect.
-Added second Dither for more effect.
-New Menu for Downscale in Screen Effects and moved the Posterization/Dither option in this one.
-Decrease a bit Light Shaft Sample Intensity by default.
-Decrease a bit Flash Entites Intensity 0.05 to 0.03.
-Fix the visibility of the seabed when looking through a transparent block.
-Fix visibility of Light Shaft through the glass.
-Adjust Light Shaft strength at Night and Noon.
-Fix Underwater Surface Color (too blue) now is based on water Color.
-Increase a bit the cloud quality reflection on water.
-Fix Saturated RP custom skybox.
-Possibility to change color/intensity of Round Sun/Moon.
-Light Jitter is softer and faster.

#Version 39.2

-Fix reflection of Shiningstars when this is disabled.
-Fix Compilation error with Shiningstars enable.
-Added Light Shaft Sample Intensity Slider.

#Version 39.1

-Rollback to version #120
-Fix Lex Ambient
-Fix Sharpen AA

#Version 39.0

-Decrease default Fog value in Nether for better visibility.
-Added Starter Effect. (based on EminGT code/idea, Thanks!):
    -Possibility to choose your proper color.
    -Possibility to adjust bloom strength effect (Need Bloom enable).
-Harlequin is default Color Selector for Ultra and Lex profile.
-Fixed some missing spacing and mispellings.(Thx coderbot).
-Disable sun/moon reflection on portals.
-Rework Ender Sky and moved into a deffered program.
-Fix glint bug of mobs eyes/armor.
-Adjust Armor glint intensity.
-Improved a bit Motion Blur.
-Improved Light on ground.
-Added Fixed Position for Rainbow in option with slider to adjust desired height. (So that the rainbow is still visible after the rain).
-Adjusts size of ShiningStars, reduces shine.
-Clamp of various color calculation to avoid certain display problem.
-BSL Supra Mega Power BLOOM come back with the adjustements of BSLex for AstraLex.
-Added Bloom settings only for hands.
-Improved the color of sky when it rain.
-Improved Clouds noise and a better movement of these.
-Improved LightShaft strenght.
-Added UnderWater LightShaft Menu.
-Update Rain puddles of BSL and change some settings. (Thanks Capt')
-Added option for see raindrops on Water.
-Added slider for adjust the reflection of ice Block.
-Fixed shadows on Ice Block, Glass.
-Added SSS on ice block.
-Improve SSS on Leaves.
-Fixes the Distant Fade with the vanilla Fog Color.
-Improve Fog in all dimension.
-Adjust Fog strenght in Nether for better visibility.
-Delete Ender Clouds.
-Added "Lost Glare" option for adds halo of light to the base of Ender Lightshaft. (Enable by default)
-Added New Ender Stars option.(for the resemblance to the end portal). (Enable By Default)
-Added 3 missing biomes for Weather.
-Decrease a bit water fog density.
-Added Sharpen AA based on MC render Quality.
-Several small adjustments.

#Version 38.0

-Enable AA on water by default.
-Disable CAS by default.
-Fix compilation error when Shiningstars reflection is enable.
-Other little fixes and improvements.

#Version 37.0

-Same as V36.1 but is V37.0 (Thanks Curseforge lol)
-Fix Contrast Adaptive Sharpening when Render Quality is modified.

#Version 36.0

-Disable puddles on lava.
-Fix the flow of water that goes upwards. Don't need flip the screen now (:'D) (Thanks for report Mr. Ticklebutts).
-Adding Contrast Adaptive Sharpening for an even sharper image.(Enable by default) (Credit Septonious).
-Adjusts colors for Color Selector Block.
-Disable Promo Outline by default.

#Version 35.0

-Adding sp614x line fix.
-Fix Hitboxes.
-Fix Fish rod line.
-Adding New Style for Color Block Selector: HARLEQUIN.
-HARLEQUIN is default Color Block Selector for Lex Profile.
-Various small adjustements.

#Version 34.2

-Fix Compatibility with Iris

#Version 34.1

-Fix fading sky on MC below 1.18. (Thanks Youtube Video :) )

#Version 34.0

-Fixed void (black) sky not starting on 1.18's minimum height. (Thx Capt Tatsu)
-Fixed Specular Highlight in the Ender. (Thx Capt Tatsu)
-Added Glowing Ametysts (small/medium/large/cluster) with sliders for adjust in Overworld/Nether/Ender.
-Fix Shadow Close Dithering.
-Fix compilation error in gbuffers_skytextured on MC below 1.17.

#Version 33.0

-Rework DOF in circular.
-Add the possibility to adjust DOF and Distance Blur in all dimension now.
-Rename "Circular Dof" to "Extra Circular DOF Mode" with possibility to adjust focal strength of this option.
-Adjust default three dimensional depth for Nether portal and emission intensity for the Overworld dimension.
-Adjust default Lava Brightness.
-Fixed Cloud reflection on water.
-Improve Clouds / Aurora / LightShaft / AO / Shadow dithering.
-Raindrops on the screen are much sharper.
-Possibility to adjust Sky color when it rain at Day/Night.
-Possibility to adjust the intensity of the sky according to the Day/Night.
-Calibrate default Sky Color.(Old too light).
-Fixed emissive Lantern/Soul Lantern.
-Clouds is more smooth at low profile.
-Add the bright flash in the sky when the weather is stormy.
-The Sea Lantern have a more natural color.
-Fixed Lightshaft jumping when (Sun / Moon) rises.
-Adding Light and Ambient Intensity for surfaces.(in World Menu).
-Adding SSS for bamboo.
-Improve SSS quality.
-Better fade for the disappearance of ShootingStars in the sky.
-Added waving for Spore blossom.
-Adjust waving for lillypad.
-Adjust Emissive intensity for Vines Berries.
-Removal Backface Culling Option.(I don't use it).
-Adding Shadow bias Foliage Multiplier.(In Shadow Menu).
-Improve underwater Shadow.
-Improve underwater visibility and Lightshaft.
-Improve Lightshaft color. (Day/Night).
-Light blocks in hand now illuminate further by default.
-Adjust the Max light of dynamic hanf light.(Softer).
-Modify color of Lichen glow.
-Various small adjustments.

#Version 32.0

-Adding New Nether Portal with many possibility to adjust. (Thanks EminGT for the base of code).
-Now you don't need Advanced Materials for New Nether portal.
-Adding Beacon Beam Emissive with possibility to adjust the emissivness.
-Adding possibility to delete second Beacon Beam's Layer.
-Beacon is now emissive.
-Disable Smoker Lightshaft by default in Overworld.
-Fixing underwater Lightshaft Leaks when Water Caustics is enable.

#Version 31.2 Re-upload

-Fix AA on AMD GPU.
-Moving different options in the appropriate menu.
-Performance increase of ~5%.
-Modify Nebula style.
-Fix Armor glint on entities.

#Version 31.2

-Fix AA on AMD GPU.
-Moving different options in the appropriate menu.
-Performance increase of ~5%.
-Modify Nebula style.

#Version 31.1

-Adding option for disable/enable raindrops on screen in cold biomes. (Disable by default).
-Improve smooth transition for Smoker Light Shaft for different situations.
-Increases the value of rain multiplier for Lightshaft.
-Adding possibility to use Lightshaft Smoker :
    -Night Only
    -Rain Only
    -Night + Rain
    -All Times
    -Disable

#Version 31.0

-Adding option for enable Smoker Light shafts at night. (enable by default)
-Increase a bit constellations lines opacity.
-Fixing syntax error on shaders.properties.
-Improve a bit Clouds.
-Adjust Light shafts menu.
-Adding Custom Color Menu for weather Rain/Snow.
-Improve Weather rain/snow Color at night.

#Version 30.0

-Ready for MC 1.18.
-Re-Adding Hyper Speed Effect with Strength Slider.
-Optimize a bit shadow code.
-Adding New Nebula_Planet option.
-Rework Planet/Nebula Menu with Reflection Submenu.
-Fixing Underwater fog when it rain.
-Adding Sky Configuration Menu in Sky Menu.
-Decrease the default Promo Outline Strenght value.
-Modify a bit the default value for fading color in the Sky.
-Possibility to choose your color for Underwater LightShaft.
-Increase a bit Blocklight brightness at Night.
-Adding Shooting Stars in Ender.
-Specular color on metal is more bright now.
-Sunglare visual correction.
-Adding Custom Color for Aurora.
-Adding Upper/Lower Gradient Color slider for Aurora.
-Increase a bit Flash Victim Intensity by default.
-Increase a bit New End Portal bightness and add emission.
-Fixing compilation error when the shaders are used in a version lower than MC 1.17.
-Adding Spore Blossom Emissive with the possibility of adjusting the intensity.
-Adding Vine Berries Emissive with the possibility of adjusting the intensity.
-Adding Lichen Emissive with the possibility of adjusting the intensity.
-Adding Custom Color for Ender Sky. (In Sky Menu).
-Adding LightShaft Smoker for Ender.(Enable by default).
-Fixing Biome detection on 1.18. (Weather & ScreenDrops on screen).
-Fixing Weather alpha blend.
-Various small adjustments and optimizations.

#Version 29.6

-Change Light Jitter by Light Flickering.
-Change Stars Jitter by Stars Flickering.
-Adding Bloom Flickering. Work with Bloom + Light Flickering enabled. (In "Light Flickering" Menu)
-Adding Normal Plants/Leaves option. (In Advanced Materials Menu).
-Adding Normal Dampening.
-New SSS Menu with possibility to adjusts:
    -SSS Intensity on Leaves at Day
    -SSS Intensity on Leaves at Night
    -SSS Intensity on foliage at Day
    -SSS Intensity on foliage at Night
-Fixing Compilation error when Advanced Materials is disable.

#Version 29.5

-Fixed Moon phase when you choose a lower diameter of the moon.
-Improves the problem of losing FPS when you head underwater.

#Version 29.4

-Fixed redstone block glowing for MC 1.12 and below.
-Fixed Lapis Block glowing for MC 1.12 and below.
-Adjusts Ender Cloud due to the modification of the noise for Iris compatibility.
-Various small adjustments and optimizations.

#Version 29.3

-Enabled Planet/Nebula for 1.16.5 with Optifine G8.
-Fixed damaged block on 1.16.5 and below.
-Adding slider for Minimum Light in Underwater.

#Version 29.2

-Fix the visibility of the Promo Outline in its distance.

#Version 29.1

-Increase puddle reflection.
-Correction of a syntax error.
-Delete single TAA and FXAA option.Now you have TAA+FXAA and SUPER TAA+FXAA.
-Added translation of various forgotten options.
-Decrease default value of Emissive Nether Portal.

#Version 29.0

-Added Sun/Moon Diameter Slider. in Round Sun/Moon Config Menu.
-Now Sun/Moon have the good reflection diameter on the surfaces when you change the diameter of it.
-Rework Overworld Clouds.
-Adding Chromatic Aberration Dimension Config Menu for choose if you want Chr. Ab. in Overworld/Nether/Ender.
-Adding Rain Fog STRENGTH slider to adjust the fog when it rain and increase it by default. (0.5 -> 0.7)
-Better support for Iris. (Planet & Nebula is not supported because of Iris limitation)
-Adjusts Stars Reflection on water.

#Version 28.2

-Fixed Lava parallax.
-Fixed Ender Stars.
-Adjust Grass Wave and speed.

#Version 28.1

-Fixed Compilation error when DirtyLens is disable. (Thanks atikabubu for report)
-Fixed Compilation error when Bloom is disable.

#Version 28.0

-Fix Entities Glowing.
-Added more Low DOF STRENGTH values.
-Added DirtyLens Strength Slider.
-Added Bloom Radius.
-DirtyLens works with any bloom radius.
-Improve a bit Fog.
-Added Block Lighting Power With 4 Sliders. (Day/Night & Inside/Underwater).
-Fix Jump SunLight when there is the transition between night and day.
-Fix Jump BlockLight when there is the transition between night and day.

#Version 27.1

-Improved Shadow Fading.
-Various small adjustments.

#Version 27.0

-Adding Parallax Entity Disabler option.(Disable Parallax on all Entities)(Enable by default).
-Adding Slider to adjust Distance Blur STRENGTH when it rain (Work only with Distance Blur option is enable).
-Adding Damage Effect when you take a damage. In Other Cool Effects Menu. (Enable By default).
-Adding Distant Fade Effect for Nether and Ender.
-Move Lava Fog/Snow Fog Config to World Menu.
-Adding waving plants compatibility for (With SSS compatibility):
    -Biomes O' Plenty Mod
    -Botania Mod
    -Atmospheric Mod
    -Autumnity Mod
    -Earth Mobs Mod
    -Environmental Mod
    -Farmer’s Delight Mod
    -Neapolitan Mod
    -Upgrade Aquatic Mod
    -Traverse Mod
    -Sakura Rosea Mod
    -Biomes You'll Go Mod
    -Ecotones Mod
    -Terrestria Mod
    -Wildworld Mod
    -Vanilla Enhanced Mod
    -Buzzier Bees Mod
    -Wild Explorer Mod
-Fix 1 Id in item.properties.
-Adding Stars in Ender World.
-Adjust Lightshaft circumferance and endurance by default.
-Possibility to Adjusty LightShaft in Ender (Color/Intensity) separately from the base lightshaft.
-Improved a bit SSS (Day and Night).

#Version 26.0

-Adjust New Rain effect (much softer)
-Set Weather opacity to 0.50 instead 1.50.
-Improved smooth transition in water for Lighshaft.
-Fixed reflection translucent too strong.
-Add option for Reverb Water. (Thanks EminGT for idea)
-Fixed Full Border Mod (Thanks fayer3).
-Improved Water fresnel.
-Fixed rainbow disappearing when looking out.
-Added Rainbow intensity option.

#Version 25.1

-Fixed Rainbow. Now you see Rainbow out of water when you have the eyes in water.
-Set default Night Brightness to 0.30 instead 0.15.
-Fixed SSS on different profile when Water Caustics is enable.
-Fixed Lighshaft in water when your eyes is out of water.
-Various small adjustments and optimizations.

#Version 25.0

-Disable ShiningStars reflection by default.
-Disable New Rain effect by default.
-Increasing the shadowMapResolution from the High profile.
-Decrease a bit Water Fresnel.
-Fixed Normals.
-Increase a bit Parallax Quality by default.
-Disable RainDrop on Savanna.
-Fixed shaking screen when Water AA is enable.
-Fixed french translation here and there.
-Fixed XP Balls shining.
-Disable Parallax for XP balls/painting/item_frame/glow_item_frame/drowned.
-Improved Reflection on rough surface by default. (More natural)
-Added 3 options for Rough Reflection STRENGTH. (Strong/Average/Soft).
-Decrease a bit LightShaft in the night.
-Fixed color for default "Color Selector block".
-Improved a bit LightShaft and Lighshaft Color in OverWorld.
-Added "SunGlare" Menu in "Sky Menu" with possibility to:
    -Enable/Disable Sunglare for Sun/Moon (Enable with Ultra Profile).
    -Adjust Sunglare STRENGTH when you are Out of Water.
    -Adjust Sunglare STRENGTH when you are Under the Water.
    -Enable/Disable Sunglare when it rain.(Enable by default).
-Disable DOF by default.
-Improved CRT 2.0 and CRT 2.0 color boost.
-Added Honeycomb Effect in CRT 2.0.
-The edges of the 16/9th bands are now much softer. There is no longer a "stairs" effect when using Distortion.
-Fixed Parallax for blocks in hands.
-Fixed slider value for Green in "Morning" light.
-Rework Menu for Planet/Nebula.
-Reworking Planet/Nebula Rotation Matrix with Sliders for add Rotation/Position X/Y/Z in the menu.
-Rework a bit Ender Clouds.
-Improved Shadows in End.
-Color Block Selector set to Default color (Black).
-Added Possibility to change the color of Clouds in Ender.
-Added Option for Adjusts Cloud Coverage in Overworld.
-Added Menu for Sun/Moon Glare with possibilities to Adjust Day and Night Sun/Moon Glare.
-Improved Minimum Light.
-Added Menu for Minimum Light with Sliders to adjust Color/Intensity.
-Adjust Weather Light Color.
-Added possibility to Adjust Lens Flare on Day & Night separetly.
-Remove Reflection Preview Option.
-Remove Desaturation Option
-Remove Sky Desaturation Option.
-Disable Black Outline by default.
-New Menu for Night in Sky Menu, for configure Brightness in Night.
-Several small improvements.

#Version 24.4

-Fix Techno XP when Advanced Materials is disable (brighter now).
-XP Balls is not affected by Flash Victim now.
-Added the ability to disable the heat effect during: night + rain / rain / night / all the time enabled in the biome.
-Added the ability to disable heat effect on Soul Sand Valley. (Disable by default).
-Decreases a bit Blocklight intensity by default.

#Version 24.3

-Added New Menu in Other cool Effects, called "Biome Refraction".
-Move Nether Refraction in the Biome Refraction Menu.
-Add Desert Refraction with Slider to adjust STRENGTH.
-Making smooth transition when you enter the desert for Desert Refraction.
-Desert Refraction is enable only with sun visibility. Disable when it rain.
-Enable Desert/Nether Refraction on Ultra Profile now.
-Double the size of the planet in the sky by default.

#Version 24.2

-Improved Subsurface scattering.
-Fix glow text on Signs. (Thanks Emin for Detect Sign Text).
-Add Sliders for adjusts text signs brightness in all dimensions. (In Dimension Blocks Brightness Menu).
-Add missing signs.

#Version 24.1

-Fix Compilation error in gbuffers-terrain
-Add Cloud Mask for ShootingStars

#Version 24.0

-Added Option Planet (Only for 1.17+).
-Added Option Nebula (Only for 1.17+).
-New Sub-menu in Sky Menu for Planet/Nebula Configuration
-Added Sliders for resize Panet/Nebula.
-Added reflection for Planet/Nebula on water with Sliders to adjusts Intensity.
-All the additions of the sky (Stars, Constellations, Shooting Stars, ShiningStars, Planet, Nebula) are synchronized and correctly follow the moon.
-Fixed Selector Block on Nether / Ender.
-Fixed Fading with the horizon of Planet / Nebula.
-Added Cloud mask for Planet/Nebula.
-Added ShingStars Reflection on water With slider to adjusts Intensity.
-Added Cloud Mask for Reflection of Sky additions.
-Added Vines Berries brightness intensity Slider.
-Code rework for sky additions.
-Various small adjustments and code cleaning.

#Version 23.0

-Fixed Glass material when Emissive Nether Portal is Enable.
-Update "Show Dark Zone" option:
    -Added Danger Zones. (Idea from EminGT).
    -Added Sliders for change Color of Danger/Unlit area.
    -Fixed the overlay on the light blocks.
    -Added 3 options to choose the gradient style between unlit areas, danger areas and lit areas.
-Fixed Colored Shadow for Nether Portal, Ice.
-Rework TAA & FXAA placement for better code and effect.
-Deleted weird hands effect with Ghosting TAA & Ghosting TAA/FXAA.
-Reversed ON / OFF values ​​for "Break Texture Anim" option for more understanding.
-Delete Flash Victim effect for Glow Item Frame.
-Fixed Stars reflection appears on water in dark closed areas.
-New Raindrop & Old Raindrop On Screen is disabled in the Desert/Mesa (Only) with smooth transition when you enter or exit the biome.
-Added missing tinted_glass ID.
-Added 6 options for adjust the visibility of sky reflection on water in dark area when there is an opening above you.
-Disable Cam Movement/World Curvature by default for now. (Disclaimer)
-Various small adjustments.

#Version 22.0

-Improved Lighshaft settings.
-Improved Bloom settings.
-Improved Auto Exposure.
-Adjust Emissive Nether Portal.
-Improved Underwater Fog.
-Added Support for Snow Powder Fog.
-Added Option to Adjust Lava Fog and Snow Powder Fog.
-Disable Underwater Refraction on Snow Powder.
-Added option for Enable or Disable AA on Water. Improve Stars reflection on Water when is disable. (Work only for 1.17+ Version of MC).
-Added Slider for Adjust Water Stars reflections.
-Increase a bit visibility of Aurora, Size and Distance.
-Improved Jitter to prevent water shaking With Keep AA on Water option is Disable.
-Overall improvement of raytrace.
-Consistent Enchant option enable by default.
-Improved Rough Reflection.

#Version 21.0

-Update to 1.17.X.
-Fixed Semi Transparent Block ID.
-Added Slider for candles Brightness.
-Added Waving for New Block ID.
-Various small adjustments.

#Version 20.0

-Added many options for Cloud Visibility:
    -Day Clouds Visibility Slider.
    -Night Clouds Visibility Slider.
    -Rain Cloud Visibility Slider.
-Added slider for Aurora Visibility in Aurora Menu.
-Make Cloud mask for Stars / ShiningStars.
-Max opacity for clouds by default.
-Re adjusts Lava/fire brightness.
-Various small adjustments.

#Version 19.1

-Added an option to make the sky color "water" for a better effect with the head underwater.
-Fixed Broken End Sky

#Version 19.0

-Decrease Lava Fog density.
-Split Clouds/Aurora/Stars/ShiningStars/ShootingStars...
-Fixed syntax in composite1.glsl.
-Improved lightmap.
-Improved Screen Brightness.
-Possibility to adjust Opacity for Vanilla Clouds.
-Fixed self shadowing appearing on non-parallax surfaces.
-Improved a bit cloud scattering.
-Added sliders for adjusts the fov for Distortion.
-Improved Parallax Shadowing.
-Redstone wire have the same luminosity/emissivity than Redstone block now.
-Better Quality for FXAA.
-Adjust Smooth TAA Shadow Filtering. (More precise).
-Improved LightShaft rays in Water with possiblity to adjust Rays.
-Possibility to adjust Luminosity of Caustics.
-Blur the shadows in underwater when the Caustics are activated.
-Change Minimum Light to 48 (before 8).
-Possibility to adjusts Ambient Light in End.
-Possibility to adjusts Light Shaft STRENGTH in End separately.
-Better visibility in water depths with Lightshaft enabled.
-Various small adjustments.

#Version 18.1

-Fixed compilation error with Aurora techno is enabled in Enderworld

#Version 18.0

-Re-arrange the DOF Blur Quality.
-Improved Blur Offsets (Gaussian/Bokeh/Pentagonal).
-Change "Dimension Lava/Fire Brightness" Menu by "Dimension Block Brightness" with 3 Menus:
    -Overworld Blocks Brightness.
    -Nether Blocks Brightness.
    -Ender Blocks Brightness.
-Added possibilities to adjust Brightness for:
    -Lava.
    -Fire.
    -Lantern.
    -Soul Lantern.
    -Shroomlight.
    -Redstone Lamp.
    -Sea Lantern.
    -Glowstone.
    -Jack O Lantern.
    -Torch / End Rod.
    -Nether portail.
-Added Option for Emissive Nether portail.
-Added Bonus Section in Dimension Block Brightness Menu with:
    -Redstone Emissive Block (for fun).
    -Lapis Lazuli Emissive Block (for fun).
-Rework Aurora Menu.
-Added Techno Aurora with sliders adjustements.
-Tiny tweak for shadows.
-Improved TAA.

#Version 17.1

-Fixed compilation error when you disable Ambient Occlusion.
-Added slider for Aurora Quality in Aurora Menu.

#Version 17.0

-Decrease The fog density in Overworld.
-Disable Waving Water by default (cause bad effect on water with BlackOultine enable) (Can be activated in the shader menu.)
-Lightshaft setup (again) for better in-game visibility.
-Reduce Lava height so that it does not exceed blocks.
-Ice Blocks are a bit more opaque now.
-Adjust shadows on certain blocks.
-Activate Color Selector Block (Techno Mod) on Lex Profile.
-Fixed shadows blinking in high render distance.
-Various small adjustments.

#Version 16.1

-Fixed blinding Lightshaft

#Version 16.0

-Lightshaft at sunrise have a natural color.
-Added Standard Offstets Blur for DoF.
-Improve visibility for CRT Border/Black Scanline Band.
-Rework Water Waves.
-Improved a bit Clouds.
-Improved Night Sky.
-Improve TAA Smooth Shadowing.
-Delete HYPER_SPEED (No one uses it I'm sure).

#Version 15.0

-Complete redesign of the shader menu.
-Improve a bit TAA.
-Better visibility for Glowstone, Shroomlight, Redstone_lamp, Sea_lantern, Lantern.
-Fixed excessive reflection on blocks.
-Improve Reflection everywhere.
-Small Tweak for Water Waves.
-Fixed Little transparency of hands when there is a luminous object behind.
-Added Slider for adjust fire brightness in Overworld/Nether/Ender.
-Fixed screen darkening when Intense AutoExposure is "On" and an enchanted object is in hands.
-Added Emin Random Colored Lighting.

#Version 14.1

-Increment Tonemap Exposure to 0.2 by 0.2.
-Fixed Enchanted Gear on Armour Stand/Players dont render properly.

#Version 14.0

-Rename the shader to AstraLex (Not to be confused with BSL).
-Options which requires advanced materials are now marked with [*]. (Good Idea Capt)
-Moved Emissive Recolor to the Lighting Menu.
-Improved Shadows performance.
-Tweak bit AO.
-Tweak Reflections.
-Improved Rain bump reflections.
-Added AO Vanilla STRENGTH Slider, by default Vanilla AO is divided by 2.
-Added option for Promo Outline Everywhere.
-Adjust default Promo Outline STRENGTH.
-Improved BlackOutline/PromoOutline.
-Added Slider for BlackOutline Thickness.
-Added Slider for BlackOutline STRENGTH.
-Improved hardcoded emissives.
-Adjust Lava Brightness for default lava texture of MC.
-Improved Lighshaft Rays (more smooth).
-Rework foliage shading.
-Added Option for disable Shadows Leaks (if you have) in cave.
-Improved Sunset Color.
-Improved Underwater LightShaft color.
-Shader menu restructuring.
-Removal of the DirtIMG Pack, possibility to download it separately.
-Small optimization here and there.

#Version 13.0

-Fixed minimum value for Fog Density make black Sky.
-Fixed Lightshaft on plants in water.
-Better Visibility in water with Lightshaft ON.
-Improved visibility of Sun/Moon when eyes is in water.
-Improved Smooth transition of Clouds in sky (Thanks Emin).
-Improved Smooth transition of Stars in sky.
-Improved Smooth transition of Shiningstars/Constellations in sky.
-Added a smooth transition for Sun/Moon for rain-clear transition.
-Increase a bit the color of sun for Round Sun/Moon Option.
-Increase Visibility of clouds with Aurora enable.
-Decrease a bit Skybox Brightness by default.

#Version 12.0

-Disable Advanced Materials by default (Enable with Lex Profil).
-Fixed Super Bright Lighting for many people.
-Added Ultra Bokeh Offset for Dof (requires a lot of performance).
-Tiny translation correction.
-Added CRT 2.0 Effect with Slider for adjusts STRENGTH.
-Tiny optimizations

#Version 11.1

-Disable Rain Blur Vignette by default
-Enable BlackOultine / PromoOutline by default
-Improve TAA Shadow filter
-Enable TAA_SHADOW_FILTER to "Smooth" by default

#Version 11.0

-Improved BlackOutline/Promo Outline.
-Possibility to adjusts Promo Outline Thickness/STRENGTH.
-Added Rain Blur Effect Vignette on screen (enable by default).
-Added Option for adjusts Rain Blur Vignette.
-Fixed Reflection on Glass/Stained Glass.
-Improved Specular Highlight.

#Version 10.0

-Fixed little warning in log.
-Fixed Shiningstars with the moon position. Now possibility to adjust SunPathRotation without affect Shiningstars.
-SunpathRotation is now configured at -40.
-Added New menu for Bloom Dimension configuration.
-Added Bloom Sliders for Overworld/Nether/Ender.
-Auto Exposure is on Lite by default.
-Improved Caustics in water with water movements speed.
-Fixed the cut-off Lightshaft (Thanks EminGT).
-Fixed Blurry Standard TAA (Thanks EminGT for the edge detection) and Improve Ghosting TAA a bit.
-Improved default settings for Lightshaft.
-Disable Lightshaft Exponent for Lex Profil.

#Version 9.0

-Disable HyperSpeed on Lex Profile.
-Added more values for Shadows distance.
-Added height based cold biome detection.
-Decreased value for Underwater Lightshaft by default.
-Added more values for Underwater Lightshaft.
-Fixed cut ShiningStars in the sky.
-Added Thickness option for ShiningStars.
-Added Size option for ShiningStars.
-Added ShiningStars AA option.
-Don't show ShiningStars under horizon.
-Minor Sky tweaks.

#Version 8.2

-Added Option to Disable Coloring Selector block (enable by default)
-Enable Techno Block Selector for Lex Profil

#Version 8.1

-Fixed flickering distant shadows.
-Improved Lighting in cave.
-Fixed and Improved AO reflection.
-Improve noise on Water Reflection
-Tiny internal changes.
-Little Cleanup.

#Version 8.0

-Added ShiningStars (enable by default).
-New Menu for ShiningStars.
-Added Constellations (enable by default).
-Added Possibilities to adjusts number of Constellations/ShiningStars.
-Added Possibilities to adjusts thickness of Constellation Lines.
-Added Possibilities to adjusts Opacity of Constellation Lines.
-Added Possibilities to adjusts Intensity of Shining Stars/Constellations.
-Added Possibilities to adjusts RGB Color of Lines for Constellations.
-Added Stars flicker option with slider for speed.
-Added a smooth transition for ShiningStars/Constellation for rain-clear transition.
-Improve performance of ShingStars/Constellation.
-Improved rain-clear transition to be smoother.
-Fixed Inversion for LabPBR and OldPBR.
-Change Old PBR and Emissive by Seus PBR.
-Added option for distance exposition for the Lightshaft (enable by default).
-Improve ShootingStars (more shiny now).
-Tiny internal changes.

#Version 7.9.1

-Fixed Water Fog with blackOutline
-Added Ender Lava Brightness slider
-Tweak a bit specular again
-Added Sliders for configure the Fog intensity in Nether/Ender/OverWorld
-Improve a bit Fog in Ender

#Version 7.9

-Added Triggering items menu for Flash Victim
-Added the Axe as a trigger item for the Flash Victim
-Cleaning Code

#Version 7.8.3

-Fixed shaders on Linux with AMD Mesa
-Added Option for disable Wave for liquid
-Make a correction for sign redirection

#Version 7.8.2

-Fixed Compilation error on gbuffers_weather

#Version 7.8.1

-Improve a bit Raindrop visibility

#Version 7.8

-Added CUSTOM Rain Drop on Screen option (Custom by default)
-Added Movement Speed for Hands/Camera at the same time
-HAND_MOVEMENTS disable by default, only HAND_MOVEMENTS_2 is enable
-New Raindrop On Screen Style with Options
-New Menu for Rain Drop
-Distant fade is now affected by fog density. (Credits Capt Tatsu)
-The menu is more readable

#Version 7.7.2

-Fixed Compilation error on gbuffers_water
-Fixed BlackOutline with Fog is disable (my bad sorry)

#Version 7.7.1

-Final Fixed for BlackOutline out of the water when your head is underwater

#Version 7.7

-Tweaked specular highlight to match cook-torrance brdf
-Specular highlight is now affected by vanilla ao
-Reduced specular highlight intensity at night
-Added Nether/Overwolrd Lava Brightness in World Menu
-Modify a bit intensity of fog in Day
-Adjust LightShaft in Water
-Added Slider for Shooting Stars Intensity and add more steps for fading
-Better Underwater LightShaft
-Fixed Fog/BlackOutlines
-Fixed Compilation error on deferred1

#Version 7.6.3

-Fixed shadowMapResolution slider
-Modify Encode/Decode code
-Fixed BlackOutline out of the water when your head is underwater

#Version 7.6.2

-Enable Cloud Reflection on water by default
-Enable Aurora Reflection on water by default
-Enable Stars Reflection on water by default
-Fixed Reflection of Cloud/Aurora/Stars in cave (Thanks EminGT for help)
-Modify a bit profils
-Fixed warnings in the log

#Version 7.6.1

-Shader translation finalization
-Enable LightShaft by default
-Enable Movements cam by default
-Enable Hand Movements by default

#Version 7.6

-Added Glint Intensity Slider
-Improve a bit AO
-Improve ShadowMap with TAA Enable
-Rearrange the options in the Shader Menu
-Optimize DOF/CHROMA_AB + Added 1 DOF Offsets
-By default, the placement of the hands on the screen is original (if you want as before: Lex> Realism> Hands (0.10 for all) by default with LEX Profil)
-Fixed a brightness issue when TAA is enabled

#Version 7.5

-Fixed blur of entities with TAA enabled
-Added 2 sliders to configure HDR
-Added option for different type of LightShaft direction
-Increase the default radius length for the LightShaft

#Version 7.4

-Tweaked Specular highlight again.
-Improve a bit weather color when it rain.
-The stars in the ender portal are more brighter.
-Improved particules visibility in water.
-Possibility to activate/desactivate reflections for Clouds and Aurora on metal/smooth surface. (disable by default).
-Improved ambient occlusion with depth aware filtering.
-Added Techno Color Block Selector (Enable by default).
-New Menu for Block Selector With 2 Choices, RGB CUSTOM or TECHNO (with speed slider).
-Rework Light Shaft with better rays and better Color at sunrise. (Credit to EminGT, really, thank you)
-The sky is less hidden by volumetric light
-Better view of sky when eyes in water.
-Modify a bit Water Wave.
-Improved Light Shaft in water.
-Improved Block Lighting.
-The sky is less dark than before.
-Added an option (Pinky Sunrise Lightshaft) to change the color of the lightshaft at sunrise like the previous version of the shader (Pinky).
-Modify a bit reflection of the sun/moon in water/metal

#Version 7.3.1

-Improve Chromatic Aberration (Thanks RRe36 for trick)
-Set Lava Brightness to 1.00 for Lex Profile

#Version 7.3

-Improve a bit shadow filtering.
-Better fresnel and reflections.
-Tweaked Specular highlight.
-Improved parallax self shadowing.
-Added LIGHT_SHAFT_POWER slider.
-Modify a bit color of sunrise sky.
-Fixed a compilation error with advanced materials off.
-Small improvements here and there.

#Version 7.2.2

-Fixed Waypoint Overlay for Xaero Minimap.

#Version 7.2.1

-Fixed compilation error in Ender and Nether.

#Version 7.2

-Improve a bit Lightshaft again.
-Fixed Dot on Rainbow with distance max.
-Fixed WorldTime.
-Reworked distant fade from dithered transparency to fog.
-Clean a bit the code.

#Version 7.1.2

-Lightshaft is more smooth.
-Rewrite code for Lighting by Temperature.
-Fixed Slider inversion for Lighting Power in Blocklight Color.
-Modify jitter offset for TAA.
-Various Optimizations.

#Version 7.1.1

-Fixed twinkle on Shadow Close Dithering.
-Improve Lightshaft twinkle with TAA.
-Improve again shadow escpape in cave with lower brightness.
-Change default Settings for DOF.
-Improve TAA dither on AO.
-Modify a bit Lex Profil.

#Version 7.1

-Improved a bit raytrace in water.
-Improved LightShaft.
-Set default temperature of Blocklight to 3000.
-Water is more transparent by default.
-Transform color to linear>sRGB to sRGB>linear.
-Added Water Lightshaft Softner Option.
-Added Water Lightshaft Color Multiplier Option.
-Fixed AO.
-Improved blindness effect.

#Version 7.0

-Added Focus Speed Option for DOF.
-Added DOF Circular Option.
-Added Option for adjusts Lava brightness.
-Added Blocklight Temperature Control.
-Disable Temperature Color in hand.
-Fixed Blink in dark area with AA.
-Fog is now applied to particles in 1.15 and above.
-Fixed blindness fog.
-Make default settings for water.
-Tweak a bit lightmap for blocklighting.
-Rename SUPREME TAA by GHOSTING TAA.
-Added more step for Water LightShaft option.
-Translate "Viseur" Option to "A.I.M".
-Full Border mod now go behind the fog.
-Improved FOG in END.
-DirtIMG rework for a more natural look for Bloom.
-Added 3 Overlays (DirtIMG) for different look for Bloom.
-Increased transparency of default Bloom Overlay.
-Semi Fixed for the escape LightShaft in cave (white dot).
-New Menu in Visual "Cel Shading" with:
    -BlackOutlines/PromoOutlines Options
    -Full Border Options
-Added WHITE/BLACK WORLD Option with Options ON/OFF:
    -Particles
    -Terrain
    -Spider Eyes
    -Hands
    -Entities
    -Damaged Block
    -Beacon
    -Water
    -Sky

#Version 6.9

-Delete Settings Files.
-Simple Settings by default for first launch.
-Added missing Stone Sword item ID for FLASH_VICTIME.
-Make better Profiles.
-Added SUPREME TAA in AA Options.
-Better offset for TAA.
-Fixed water in dark area when it rain.
-Added Shooting Stars.
-Added Option for Adjust: -Thickness
                        -Speed
                        -Number of Shooting Stars
                        -Timing
                        -Fading of Shooting Stars
                        -AntiAliasing
						-Shooting Stars Reflection
-Increase a bit opacity of water by default
-Code Cleaning and various optimizations

#Version 6.8.4

-Fixed Glint With SUPREME TAA+FXAA.

#Version 6.8.3

-Fixed compilation error with LightShaft/BlackOutline.
-Improved Lightmap.

#Version 6.8.2

-Revert PromoOutline modifications.

#Version 6.8.1

-Fixed of the sky texture at nightfall.

#Version 6.8

-Improved a bit Raytrace.
-Improved a bit Motion Blur.
-Improved a bit Promo Outlines quality.
-Improved a bit distance of AO.
-Fixed SUPREME TAA+FXAA bug with Spider Eyes.
-Modify a bit reflection on block border limit.
-Added Option to Adjust fresnel reflection STRENGTH.

#Version 6.7.2 (Ninja Update 2)

-Fixed World Time Animation.

#Version 6.7.1 (Ninja Update)

-Fixed FXAA Black Screen.

#Version 6.7

-Improves the quality of the lighshaft.
-Update labPBR.
-Tweaked promo outline.
-Reduced waving lantern intensity.
-Changed parallax depth measuring to cm.
-Increase Quality of BlackOutline.
-Modify a bit Auto Exposure.
-Set HDR to Disable by default.
-Added Supreme TAA + FXAA.
-Delete Sharpen Option.

#Version 6.6

​​-Fixed Entity Glowing
-Fixed Distant_Fade compilation error
-Added Distant_Fade TAA Animation
-Shadow Close Dithering more smooth with TAA enable
-Modify default settings for parallax distance (128>64) and quality (512>64)
-Little fix and optimizations

#Version 6.5

​​-Added Shadow Close Dithering
-Added New Options for Stars
-Added New Options for Aurora
-Possibility to choose 3 Styles for Stars (Normal, Normal X2, Normal X3)
-Possibility to modify Distance, Intensity for Stars
-Possibility to modify Distance,Size,Color for Aurora (Green-Blue by default)
-Move the weather reflection options in the dedicated menu (Ex. Aurora Reflection in new Aurora Configuration Menu)

​#Version 6.4

​-New Menu: Rain Reflection Config
-Possibility to Adjust Noise, Amplitude, Speed for Puddles
-Possibility to stop waving for Chain (ON/OFF in Terrain Menu)
-Adjust wave for Chain
-Transfert END_CLOUDS option in Sky/Clouds/Clouds Config/Ender
-Re-Added BSL_VIGNETTE
-Added 1 different Puddles Mode (little puddles)
-Added 1 Option for choose your favorite puddles
-Added 1 Film Grain Style, Now you have a choice to set Camera Noise + (Film Grain Style 1 or Film Grain Style 2)
-Added option for Shadows "SHADOW_BACKFACE_CULLING" (Enable by default)

​​#Version 6.3

​-Modify default Clouds
-Now 3 Patterns for Clouds (Fluffy1/Fluffy2/Fluffy3) (Fluffy3 by default)
-Now Ender have a standard Fluffy Clouds
-Possibility of configuring the clouds according to the chosen dimension
-Modify a bit coc multiplier for DOF
-Modify a bit Lightmap for blocklight
-Aurora is Enable by default

​#Version 6.2

​​-Added option to Tweak visibility by reducing the opaqueness of very close particles (PARTICLES_VISIBILITY) (Enable by default) (Credits EminGT)
-Added Block Lighting Limiter option in Color/Block Color (Normal Lightmap and Normal Lightmap²) (Work Only in OverWorld)
-Optimizations for Shadow Lighting
-Modify default Block lighting Intensity
-Fixed missing Sky in specular reflections
-Added Taa Shadow filtering (Small/High) (in Option, small by default)
-Modify a bit Light Diffusion

​#Version 6.1

​​-Little Optimisations
-Decrease a bit Fovscale for AO by default
-Added Option for AO_FovScale (Low/Medium/High/Ultra) in AO Menu

​#Version 6.0

​-Rework Cloud in Ender (more fluffy)
-Decrease Cloud Speed in Ender
-Modify Water relection and waves
-Increase Water Fog with Slider
-Better Water Fog Color and Water Fog dispersion
-Modify a bit Fresnel on water
-New Menu for Water
-Improved fog in OverWorld/Nether/End
-Modify PerBiome Weather Color for Nether
-Fixed reflection on LabPBR
-Fixed oldPBR and Emissive. Thanks Capt Tatsu for your Help

​#Version 5.9

​-Aurora now Work with Weather_Per_Biome Enable
-Added option for Enable Aurora when WEATHER_PERBIOME is enable (Enable by default)
-Fixed render Stars in Sky

​#Version 5.8

​-Fixed aurora, The shape is Slightly different from v5.7 though.
-Added SunVisibility_FOG, Force fog according to the visibility of the sun.
-Fixed PromoOutline on Fog with SunVisibility_FOG activated
-Descrease a bit LightShaft default settings

​#Version 5.7

​-Reword a bit code to fix little Bug
-Fixed clouds when we go out on Nether to go to the Overworld
-Added Settings File in "Settings" Folder for same versions tonemapping/color before version 5.6 if you want change. Or BSL tonemapping/color.
-Modify a bit Volumetric Light
-Added Option for Adjust LightShaft in Water
-Added Option for Adjust Distance of LightShaft
-Added New Menu for Light Shafts

​#Version 5.6 NINJA Update

​-Fixed compilation error when activating SKY_VANILLA and NETHER_VANILLA at the same time.

​#Version 5.5

​-Added TAA + FXAA
-Modifiy a bit water Raytrace
-Optimize code
-Fixed gbuffer_spidereyes error when World curvature is disable
-Increase Bloom in water
-Change a bit tonemap (too light before)
-Nether Dimension Color Increased
-Skybox brightness slightly decreased

​#Version 5.4

​-Enable or Disable Light Shafts in Ender
-Enable or Disable Clouds in Ender
-Optimize a bit AO
-Fixed SCANLINE_BAND for Linux
-Fixed Shadows Problems !!
-Fixed Weird horizontal Line !!!

​#Version 5.3

​-Fixed Sunlight leak
-Fixed Jump Light
-Fixed dark shadow in certain situation
-Added Option for Increase or Decrease light in dark area
-Modify a bit Default settings for COLORED_DYNAMIC_HAND_LIGHT
-Return to Dof Fovscale of 5.1 Version

​#Version 5.2 Optimization Update

​-Optimize Bloom for Overworld
-Increase Bloom for Nether/End
-Change a bit Fovscale for DOF
-Rename BLOOM Option to BLOOM (OFF/HARD_BLOOM/DIMENSION(by default))
-Added New Menu "EYES_IN_WATER"
-Added possibilities to adjust Water Refraction settings now (Multiplier/Size/Speed)
-Added New Menu "Weather_Reflections"
-Added Stars Reflections (ON by default)
-After Possibility to Disable Cloud reflection, now possible to disable Aurora Reflection and Stars Reflection on Water
-New configuration for default waves on water

​#Version 5.1 Ninja Update

​-Fixed Emissive light block too strong

​#Version 5.0 

​-Added Colored Dynamic Handlight emissive items

​#Version 4.9

​-Added Hexagonal Bokeh for DOF (BLUR_QUALITY)
-Added Consistent Enchant in option
-Added FULL_BORDER with settings
-Added Tinted Metal

​#Version 4.8

​-Added Campfire on Dynamic Hand Light option
-Fixed Smooth Sun/Moon transition (Thanks Emin)
-Fixed Compilation error in Ender

​​#Version 4.7

​-Fixed Compilation Error

​#Version 4.6

​-New Menu for AO
-Added Occlusion Ambient Quality settings
-Change a bit Lava FOG
-Smooth transition for Sun/Moon
-Added Shading STRENGTH
-Clean the code,bit optimizations and fixes

​#Version 4.5

​-Added Berserk_Mode_Plus (after Berserk_mode (Red Vignette). With Berserk_Mode_Plus you have red hands with sword in hand also.
-Added Option for Enable or Disable HeartBeat on Berserk_Mode
-Added Option for adjust HeartBeat speed
-New Menu For Berserk_Mode

​#Version 4.4

​-Added DYNAMIC_HAND_LIGHT

​#Version 4.3

​-Added MAGICAL_GLINT With adjustement of speed
-Added Possibility to adjust hands (Height, Depth, Shift)
-Enable or Disable Clouds Reflection in option (Disable by default)
-Fixed "Hue" color wheel for Techno-XP and Magical glint
-Added option for Berserk Mod on enchanted Sword
-Modify a bit ULTRA_VIGNETTE and CRT_BORDER

​#Version 4.2

​-Tweaked promo outline.
-Fixed integrated graphics with weather color when per biome weather is disable.
-Added Light Jitter with settings. (Based to SEUS code but modified)
-Added OSCILLATION (option) effect with OSCILLATION SPEED to entities with FLASH_VICTIM mode enabled
-Change BayerTexture for HYPER_SPEED

​#Version 4.1

​-Fixed Blur on hands with HYPER_SPEED activated.
-Optimize RAIN-DROP_ON_SCREEN code.
-Delete TOON_LIGHTMAP.
-Cleaning the code.

​#Version 4.0

​-Added SKY_GROUND. It helps hiding the sky below oceans while not underwater.
-Added Nether Vanilla Color.
-Fixed Bloom Overlay.
-Added HYPER_SPEED effect.
-Fixed alpha for Berserk Mode.
-Optimize FILM_GRAINS_2.
-AMBIANT improvements.
-Rename AMBIANT to LEX_AMBIANT.
-Rename GOUTTE_ECRAN by RAINDROP_ON_SCREEN for English users.
-Replace RAINDROP_ON_SCREEN and RAINDROP_ON_SCREEN_2 by RAINDROP_ON_SCREEN with 3 options (OFF/NORMAL/HEAVY).
-Rework a bit NEW_RAIN.
-Various optimizations for my options.

​#Version 3.9

​-Fixed FLASH_VICTIM with end_crystal.
-BLUR_QUALITY have now 5 Bokeh (STANDARD/MEDIUM/HIGH/ULTRA_HIGH/PAINTING).
-Added POSTERIZATION.
-Added DITHERING_SCREEN.

​#Version 3.8

​-3 Quality for Shadows.
-3 Quality for DOF.
-Change a bit fovScale.

​#Version 3.7

​-Added Option for 209 Offsets for Shadows

​#Version 3.6

​-Added AMBIANT option for OVERWORLD(Change the tint with the time).
-BOTW tonemap only for OVERWORLD.
-Added CRT_BORDER_STRENGTH for adjust.
-Added Berserk Mode with Sword in hand (MODE_RAGE).
-Fixed FLASH_VICTIM with armor_stand, minecarts, sign, item_frame..
-Set a default configuration (Apply different effect on Shader Options).
-Optimizations.

​#Version 3.5

​-Fixed Viseur for 1080p.
-Tweaked bloom to be a bit stronger during rain.
-Added option to disable or enable block break animation.
-Fixed All warning on log.

​#Version 3.4

​-Added Double Rainbows in Lensflare option (OFF/NORMAL/DOUBLE_RAINBOWS).
-Added BLUR_QUALITY in Dof menu for choose 60 or 119 Offsets.
-Fixed Water Blur with Distance blur.
-Delete BSL vignette (replace by Ultra Vignette on Lex Menu).
-Disable TAA on DiSTANCE_FADE (cause Blink).
-Modify dither bayer for DiSTANCE_FADE.
-Added more STRENGTH for LensFlare.
-Rework Post Process Menu.
-Rework DOF menu.
-Added Quality Offsets for Shadows (OFF/NORMAL/HIGH_QUALITY).
-Modify Dither.

​​#Version 3.3

​-Calibrate Clouds.
-Optimize Shadow.
-Set Default Settings for Color Grading.
-Set Default Color for lighting.
-Change a bit Lensflare for the Night.
-Added water refraction when eyes is in water.
-Added Ultra Vignette.
-Modify Offset for DOF/CHROMATIC_ABERRATION.
-Added option for Blur in water with slide for STRENGTH.
-Rework a bit Stars.

​#Version 3.2

​​-Fixed Advanced Materials (My bad) Thanks EminGT for Report.

​#Version 3.1

​-Rework DOF completely.
-DOF code optimization.
-Added Distance Blur (work with DOF at same time).
-Added Chromatic aberration with settings.
-Possibility to adjust DOF/Chromatic Abberation/ Distance Blur.

​#Version 3.0

​-Added DISTANT_FADE Spherical or Cylindrical effect.
-Fixed entity Error in Nether and End.
-Tweaking TAA blending factor.
-Improved Sky Ground transition while raining.

#Version 2.9

​-Fixed Drag on hands with MotionBlur completely.

​#Version 2.8

​-Fixed Thunderbolt !

​#Version 2.7

​​-Added Heat Haze for Nether !!
-Added Heat Haze Refraction slide for adjust STRENGTH.

​#Version 2.6

​-Added Distance blur for all dimension with option to force in Nether.
-Delete WHITE_WORLD Option.
-Added Cel STRENGTH.
-Delete RETRO_FILTER.

​​#Version 2.5

​-COLORED_EYES for color Spider, Enderman, Dragon Eyes.
-Increase Stars luminosity.
-Added many levels for MotionBlur.
-Removing drag on the hands with the MotionBlur.
-Added Option for opacity for SHOW LIGHT LEVEL.
-Added  on code.

​​#Version 2.4

​​-Added 16 Levels's intensity for COLOR_SELECTOR_BLOC.
-Added SHOW LIGHT LEVELS (for see the dark area).
-Added Option for change color of dark area.
-Fixed warning on gbuffers_block.glsl (syntax "()" ).
-FRENCH Traduction for LEX Menu Complete.

​​#Version 2.3

​​-Disable LensFlare in water.
-Change Settings by default in settings.glsl.
-Added new Portal for Ender (enable by default).
-Fixed lighting for soul_lantern.

​​#Version 2.2

​​-Nether color defaults to wastes.
-Tweak DOF for AMD.
-DOF scales with fov now.
-Fixed shadows (sometimes) disappearing when an end gateway is loaded.
-Improved opacity handling for clouds.
-Reduced waving lantern intensity.
-New waving block function with more straightforward parameters.

​​#Version 2.1

​​-Removed reflective on regular glass.
-Fixed problem with blackOutline with FOG on OFF in Nether (BSL forgot).
-Nether fog scales better with higher render distance, also affected by fog density.

​​#Version 2.0

​​-Fixed Enchant item glint on hand with latest version of Optifine.
-Added Rapid Clouds, and Dither in END dimension.

​​#Version 1.9

​​-Fixed Entities ID for beacon (BSL error block ID value).
-Added Chain Entity ID for waving.
-Replace all Entitie ID (tweaked block id value).

​#Version 1.8

​​-Fixed Advanced Materials.

​​#Version 1.7

​​-Fixed Mouvement Cam with Block.
-Added Rainbow.
-Added French Language traduction.
-Make a cool Menu in Shader options.

​​#Version 1.6

​​-Change the default BSL Dirt.png.
-Change offset for shadow.
-Increase a bit lighting.
-Added Mouvement Cam.

​​#Version 1.5

​​-Fixed Selector Block Color with leads (Thanks EminGT).
-Added Mouvement mains.
-Added Hands Position.
-Added Nouvelle Pluie.
-Added DirtyIMG with 6 .png.
-Added Caustics (Credits EminGT).
-Delete Dimension, now world0 ,world1 and world-1 only.

​​#Version 1.4

​​-Added 16/9 Bands.
-Added Distortion.
-Added Fresnel Option.
-Modify a bit Viseur.
-Delete Intensity Entities.
-Modify the Bloom.
-Added Camera noise.
-Added Film grains.
-Added Selector Block Color.

​​#Version 1.3

​​-Added Viseur.
-Added BOTW Tonemap.
-Added HDR.

​​#Version 1.2

​​-Added Rain In Screen (2 Modes).
-Added CRT Mode.
-Modify Clouds.

​​#Version 1.1

​​-Added Intensity Entities.
-Change Lava Wave.
-Added more Dimension.

#Version 1.0

​​-Added Techno XP.
-Added Flash Victim.